## -*-makefile-*-
##
## Build system for strayman
##
## (c) 2002 Mark Wooding
##

##----- Licensing notice ----------------------------------------------------
##
## This file is part of the Straylight Manual LaTeX document class.
##
## strayman is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## strayman is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with strayman; if not, write to the Free Software Foundation,
## Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

AUTOMAKE_OPTIONS = foreign

pkglatexdir = ${texmfpath}/tex/latex/${PACKAGE}
pkgdocdir = ${texmfpath}/doc/latex/${PACKAGE}

define(`addsuffix', `patsubst(`$1', `\>', `$2')')
define(`BASE', `strayman')

AUX = gpl.tex strayman.cls
SRC = addsuffix(BASE, `.dtx')
DVI = addsuffix(BASE, `.dvi')
OBJ = \
	strayman.8pt \
	strayman.9pt \
	strayman.10pt \
	strayman.11pt \
	strayman.12pt \
	strayman.text \
	strayman.cls

pkglatex_DATA = $(OBJ)
pkgdoc_DATA = $(DVI)

SUFFIXES = .dtx .tex .dvi
define(`run_latex', `latex "\def\indexing{n} \nonstopmode \input $<"
	latex "\def\indexing{y} \nonstopmode \input $<"
	makeindex -s gind.ist $`'*.idx
	latex "\def\indexing{n} \nonstopmode \input $<"')

$(DVI): $(AUX)
.dtx.dvi:
	run_latex

$(OBJ): $(SRC) strayman.ins
	tex strayman.ins

EXTRA_DIST = $(SRC) $(AUX) $(DVI) $(OBJ) strayman.ins Makefile.m4

MAINTAINERCLEANFILES = $(OBJ) $(DVI)
CLEANFILES = *.tmp *.aux *.idx *.ilg *.log *.toc *.ind *.lot *.ans

Makefile.am: Makefile.m4
	cd $(srcdir) && m4 Makefile.m4 >Makefile.am

.PHONY: dvi

##----- That's all, folks ---------------------------------------------------
